Package org.eclipse.emf.cdo.transfer

# Class CDOTransferElement

java.lang.Object
org.eclipse.emf.cdo.transfer.CDOTransferElement

public abstract class CDOTransferElement extends Object
An abstraction of the elements (such as files or folders) of a `transfer system`.

Since:
  4.2
Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final CDOTransferElement[]`
`NO_CHILDREN`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`CDOTransferElement(CDOTransferSystem system)`

## Method Summary

Modifier and Type
Method
Description
`protected abstract CDOTransferElement[]`
`doGetChildren()`
`protected abstract InputStream`
`doOpenInputStream()`
`boolean`
`equals(Object obj)`
`final CDOTransferElement`
`getChild(String path)`
`final CDOTransferElement`
`getChild(IPath path)`
`final CDOTransferElement[]`
`getChildren()`
`final String`
`getName()`
`abstract Object`
`getNativeObject()`
`final CDOTransferElement`
`getParent()`
`abstract IPath`
`getPath()`
`final CDOTransferSystem`
`getSystem()`
`final URI`
`getURI()`
`int`
`hashCode()`
`abstract boolean`
`isDirectory()`
`final boolean`
`isRoot()`
`final InputStream`
`openInputStream()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### NO_CHILDREN

public static final CDOTransferElement[] NO_CHILDREN

## Constructor Details

### CDOTransferElement

protected CDOTransferElement(CDOTransferSystem system)

## Method Details

### getSystem

public final CDOTransferSystem getSystem()

### getNativeObject

public abstract Object getNativeObject()

### isDirectory

public abstract boolean isDirectory()

### getPath

public abstract IPath getPath()

### getName

public final String getName()

### getURI

public final URI getURI()

### isRoot

public final boolean isRoot()

### getParent

public final CDOTransferElement getParent()

### getChildren

public final CDOTransferElement[] getChildren()

### getChild

public final CDOTransferElement getChild(IPath path)

### getChild

public final CDOTransferElement getChild(String path)

### openInputStream

public final InputStream openInputStream()

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### doGetChildren

protected abstract CDOTransferElement[] doGetChildren()

### doOpenInputStream

protected abstract InputStream doOpenInputStream()